KDE 4.2 PyKDE API Reference

- KDE's Python API

# QueryResultIterator Class Reference

`from PyKDE4.soprano import *`

Inherits: Soprano::QueryResultIteratorBase
Subclasses: Soprano::Client::DBusQueryResultIterator
Namespace: Soprano

## Detailed Description

## Methods

| __init__ (self)
| __init__ (self, Soprano.QueryResultIterator a0)
| __init__ (self, Soprano.QueryResultIteratorBackend qr)
[Soprano.BindingSet] | allBindings (self)
Soprano.Node | binding (self, QString name)
Soprano.Node | binding (self, int offset)
int | bindingCount (self)
QStringList | bindingNames (self)
bool | boolValue (self)
Soprano.BindingSet | currentBindings (self)
Soprano.Statement | currentStatement (self)
bool | isBinding (self)
bool | isBool (self)
bool | isGraph (self)
Soprano.NodeIterator | iterateBindings (self, QString variableName)
Soprano.NodeIterator | iterateBindings (self, int offset)
Soprano.StatementIterator | iterateStatements (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Soprano.QueryResultIterator | a0
| ) |  |  |

__init__ | ( | self, |
|  | Soprano.QueryResultIteratorBackend | qr
| ) |  |  |

[Soprano.BindingSet] allBindings | ( |  | self ) |

Soprano.Node binding | ( | self, |
|  | QString | name
| ) |  |  |

Soprano.Node binding | ( | self, |
|  | int | offset
| ) |  |  |

int bindingCount | ( |  | self ) |

QStringList bindingNames | ( |  | self ) |

bool boolValue | ( |  | self ) |

Soprano.BindingSet currentBindings | ( |  | self ) |

Soprano.Statement currentStatement | ( |  | self ) |

bool isBinding | ( |  | self ) |

bool isBool | ( |  | self ) |

bool isGraph | ( |  | self ) |

Soprano.NodeIterator iterateBindings | ( | self, |
|  | QString | variableName
| ) |  |  |

Soprano.NodeIterator iterateBindings | ( | self, |
|  | int | offset
| ) |  |  |

Soprano.StatementIterator iterateStatements | ( |  | self ) |